All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.sharenet
Class ShareNetPreparedStatement

    com.sas.net.sharenet.ShareNetPreparedStatement

All Implemented Interfaces:
  java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  ShareNetCallableStatement

    public class ShareNetPreparedStatement

implements java.sql.PreparedStatement

This is the SAS/SHARE Driver for JDBC implementation for java.sql.PreparedStatement.

Field Summary

Fields inherited from class com.sas.net.sharenet.ShareNetStatement
`connection, describe, fetchSize, maxFieldSize, months, msg, snresultset`

Method Summary
`void` | `addBatch()` JDBC 2.0 Adds a set of parameters to the batch.
`void` | `clearParameters()` Clears all the parameters.
`boolean` | `execute()` Executes a query.
`java.sql.ResultSet` | `executeQuery()` Executes a prepared SQL query and returns the ResultSet.
`int` | `executeUpdate()` Executes an SQL INSERT, UPDATE or DELETE statement.
`java.sql.ResultSetMetaData` | `getMetaData()` JDBC 2.0 Gets the number, types and properties of a ResultSet's columns as a ResultSetMetaData object.
`java.sql.ParameterMetaData` | `getParameterMetaData()` Retrieves the number, types and properties of this `PreparedStatement` object's parameters.
`java.sql.ResultSetMetaData` | `getResultSetMetaData()` Deprecated.
`void` | `setArray(int parameterIndex, java.sql.Array x)` JDBC 2.0 Sets a parameter to an Array object.
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x)` This method is not supported.
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)` Sets a parameter to a Java java.io.InputStream.
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, long length)` This method is not supported.
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)` Sets a parameter to a Java BigDecimal value.
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x)` This method is not supported.
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)` Sets a parameter to a Java java.io.InputStream.
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, long length)` This method is not supported.
`void` | `setBlob(int parameterIndex, java.sql.Blob x)` JDBC 2.0 Sets a parameter to a BLOB object.
`void` | `setBlob(int parameterIndex, java.io.InputStream inputStream)` This method is not supported.
`void` | `setBlob(int parameterIndex, java.io.InputStream inputStream, long length)` This method is not supported.
`void` | `setBoolean(int parameterIndex, boolean x)` Sets a parameter to a Java Boolean value.
`void` | `setByte(int parameterIndex, byte x)` Sets a parameter to a Java byte value.
`void` | `setBytes(int parameterIndex, byte[] x)` Sets a parameter to a Java byte array value.
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader)` This method is not supported.
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)` JDBC 2.0 Sets a parameter to java.io.Reader object.
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, long length)` This method is not supported.
`void` | `setClob(int parameterIndex, java.sql.Clob x)` JDBC 2.0 Sets a parameter to a CLOB object.
`void` | `setClob(int parameterIndex, java.io.Reader reader)` This method is not supported.
`void` | `setClob(int parameterIndex, java.io.Reader reader, long length)` This method is not supported.
`void` | `setDate(int parameterIndex, java.sql.Date x)` Sets a parameter to a Java java.sql.Date value.
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)` JDBC 2.0 Sets a parameter to a java.sql.Date value.
`void` | `setDouble(int parameterIndex, double x)` Sets a parameter to a Java double value.
`void` | `setFloat(int parameterIndex, float x)` Sets a parameter to a Java float value.
`void` | `setInt(int parameterIndex, int x)` Sets a parameter to a Java int value.
`void` | `setLong(int parameterIndex, long x)` Sets a parameter to a Java long value.
`void` | `setNCharacterStream(int parameterIndex, java.io.Reader value)` This method is not supported.
`void` | `setNCharacterStream(int parameterIndex, java.io.Reader value, long length)` This method is not supported.
`void` | `setNClob(int parameterIndex, java.sql.NClob value)` This method is not supported.
`void` | `setNClob(int parameterIndex, java.io.Reader reader)` This method is not supported.
`void` | `setNClob(int parameterIndex, java.io.Reader reader, long length)` This method is not supported.
`void` | `setNString(int parameterIndex, java.lang.String value)` This method is not supported.
`void` | `setNull(int parameterIndex, int sqlType)` Sets a parameter to SQL NULL.
`void` | `setNull(int parameterIndex, int sqlType, java.lang.String x)` JDBC 2.0 Sets a parameter to SQL NULL.
`void` | `setObject(int parameterIndex, java.lang.Object x)` Sets a parameter to the default type.
`void` | `setObject(int parameterIndex, java.lang.Object x, int sqlType)` Sets a parameter to the input type.
`void` | `setObject(int parameterIndex, java.lang.Object x, int sqlType, int scale)` Sets a parameter to the input type.
`void` | `setRef(int parameterIndex, java.sql.Ref x)` JDBC 2.0 Sets a parameter to a REF(<structured-type>) object.
`void` | `setRowId(int parameterIndex, java.sql.RowId x)` This method is not supported.
`void` | `setShort(int parameterIndex, short x)` Sets a parameter to a Java short value.
`void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)` This method is not supported.
`void` | `setString(int parameterIndex, java.lang.String x)` Sets a parameter to a Java string value.
`void` | `setTime(int parameterIndex, java.sql.Time x)` Sets a parameter to a Java java.sql.Time value.
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)` JDBC 2.0 Sets a parameter to a java.sql.Time value.
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)` Sets a parameter to a Java java.sql.Timestamp value.
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)` JDBC 2.0 Sets a parameter to a java.sql.Timestamp value.
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)` Deprecated.
`void` | `setURL(int parameterIndex, java.net.URL x)` Sets the designated parameter to the given `java.net.URL` value.

Methods inherited from class com.sas.net.sharenet.ShareNetStatement
`addBatch, addWarning, cancel, clearBatch, clearWarnings, close, describe, destroy, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, fieldFormat, fieldNames, fieldType, finalize, findFirstString, getAns, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getVars, getWarnings, isClosed, isDescribe, isPoolable, isWrapperFor, numFields, prepare, prepareDescribe, setCursorName, setDescribe, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setVars, unwrap`

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Executes a prepared SQL query and returns the ResultSet.

  Specified by:
    `executeQuery` in interface `java.sql.PreparedStatement`
  Returns:
    A ShareNetResultSet that contains the data that is produced by the query.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Executes an SQL INSERT, UPDATE or DELETE statement.

  Specified by:
    `executeUpdate` in interface `java.sql.PreparedStatement`
  Returns:
    An int that contains the number of rows affected.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Sets a parameter to SQL NULL.

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `sqlType` - An SQL type code that is defined by java.sql.Types.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected or if the sqlType is not FLOAT, DOUBLE, INTEGER, TIME, DATE or TIMESTAMP. SAS software does not allow other types to be NULL.

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

  Sets a parameter to a Java Boolean value. This method is not supported.

  Specified by:
    `setBoolean` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support the SQL type BIT.

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

  Sets a parameter to a Java byte value. This method is not supported.

  Specified by:
    `setByte` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type TINYINT.

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

  Sets a parameter to a Java short value. This method is not supported.

  Specified by:
    `setShort` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type SMALLINT.

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

  Sets a parameter to a Java int value.

  Specified by:
    `setInt` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - An int value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameterIndex is not valid.

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

  Sets a parameter to a Java long value. This method is not supported.

  Specified by:
    `setLong` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type BIGINT.

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

  Sets a parameter to a Java float value.

  Specified by:
    `setFloat` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - float value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

  Sets a parameter to a Java double value.

  Specified by:
    `setDouble` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - double value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Sets a parameter to a Java BigDecimal value. This method is not supported.

  Specified by:
    `setBigDecimal` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type Numeric

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Sets a parameter to a Java string value.

  Specified by:
    `setString` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - String value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Sets a parameter to a Java byte array value. This method is not supported.

  Specified by:
    `setBytes` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type BINARY.

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Sets a parameter to a Java java.sql.Date value.

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - java.sql.Date value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Sets a parameter to a Java java.sql.Time value.

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - java.sql.Time value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Sets a parameter to a Java java.sql.Timestamp value.

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - java.sql.Timestamp value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if parameter index is not valid.

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Sets a parameter to a Java java.io.InputStream.

  Specified by:
    `setAsciiStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type LONGVARCHAR.

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Deprecated.

  Sets a parameter to a Java java.io.InputStream. This method is not supported.

  Specified by:
    `setUnicodeStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type LONGVARCHAR.

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Sets a parameter to a Java java.io.InputStream. This method is not supported.

  Specified by:
    `setBinaryStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support SQL type LONGVARBINARY.

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Clears all the parameters.

  Specified by:
    `clearParameters` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is required by the interface, but it is never thrown.

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int sqlType,
                          int scale)
                   throws java.sql.SQLException

  Sets a parameter to the input type.

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - An input object.
    `sqlType` - The target SQL type for the object.
    `scale` - This parameter is ignored. SAS software does not support Decimal or Numeric data types.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Sets a parameter to the default type.

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second parameter is 2, and so on.
    `x` - An input object.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int sqlType)
                   throws java.sql.SQLException

  Sets a parameter to the input type.

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The first parameter is 1, the second is 2, and so on.
    `x` - An input object.
    `sqlType` - The target SQL type for the object.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Executes a query.

  Specified by:
    `execute` in interface `java.sql.PreparedStatement`
  Returns:
    True if the result is a ResultSet; False if it is an integer.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.
  See Also:
    `ShareNetStatement.execute(java.lang.String)`

### getResultSetMetaData

    public java.sql.ResultSetMetaData getResultSetMetaData()
                                                    throws java.sql.SQLException

  Deprecated.

  Gets the result set metadata. This method is used to get metadata information before the statement is executed.

  Returns:
    A ResultSetMetaData object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if an error condition is detected.
  See Also:
    `execute()`

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  JDBC 2.0 Adds a set of parameters to the batch. This method is not yet supported.

  Specified by:
    `addBatch` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.
  See Also:
    `ShareNetStatement.addBatch(java.lang.String)`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to java.io.Reader object. This method is not yet supported. When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.Reader. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setCharacterStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - The java reader object which contains the UNICODE data.
    `length` - The number of characters in the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown

### setRef

    public void setRef(int parameterIndex,
                       java.sql.Ref x)
                throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a REF(<structured-type>) object. This method is not yet supported.

  Specified by:
    `setRef` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - An object representing data of an SQL REF Type .
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setBlob

    public void setBlob(int parameterIndex,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a BLOB object. This method is not yet supported.

  Specified by:
    `setBlob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - An object representing a BLOB.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setClob

    public void setClob(int parameterIndex,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a CLOB object. This method is not yet supported.

  Specified by:
    `setClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - An object representing a CLOB.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setArray

    public void setArray(int parameterIndex,
                         java.sql.Array x)
                  throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to an Array object. This method is not yet supported.

  Specified by:
    `setArray` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - An object representing an SQL array.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  JDBC 2.0 Gets the number, types and properties of a ResultSet's columns as a ResultSetMetaData object.

  Specified by:
    `getMetaData` in interface `java.sql.PreparedStatement`
  Returns:
    The description of a ResultSet's columns as a ResultSetMetaData object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a database error occurs or if the result set is NULL.

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a java.sql.Date value.

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - The parameter value, a java.sql.Date object.
    `cal` - A Calendar object. Ignored if NULL.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a java.sql.Time value.

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - The parameter value, a java.sql.Time object.
    `cal` - A Calendar object. Ignored if NULL.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to a java.sql.Timestamp value.

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second is 2, and so on.
    `x` - The parameter value, a java.sql.Timestamp value.
    `cal` - A Calendar object. Ignored if NULL.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### setNull

    public void setNull(int parameterIndex,
                        int sqlType,
                        java.lang.String x)
                 throws java.sql.SQLException

  JDBC 2.0 Sets a parameter to SQL NULL. This method is not yet supported.

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second parameter is 2, and so on.
    `sqlType` - An SQL type code that is defined by java.sql.Types.
    `x` - the fully-qualified name of an SQL user-defined type; ignored if the parameter is not a user-defined type or REF
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setURL

    public void setURL(int parameterIndex,
                       java.net.URL x)
                throws java.sql.SQLException

  Sets the designated parameter to the given `java.net.URL` value. The driver converts this to an SQL DATALINK value when it sends it to the database. This method is not implemented.

  Specified by:
    `setURL` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - always thrown.

### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

  Retrieves the number, types and properties of this `PreparedStatement` object's parameters. This method is not implemented.

  Specified by:
    `getParameterMetaData` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException` - always thrown.

### setRowId

    public void setRowId(int parameterIndex,
                         java.sql.RowId x)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.RowId` object. The driver converts this to a SQL `ROWID` value when it sends it to the database

  Specified by:
    `setRowId` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `x` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNString

    public void setNString(int parameterIndex,
                           java.lang.String value)
                    throws java.sql.SQLException

  This method is not supported.

  Sets the designated paramter to the given `String` object. The driver converts this to a SQL `NCHAR` or `NVARCHAR` or `LONGNVARCHAR` value (depending on the argument's size relative to the driver's limits on `NVARCHAR` values) when it sends it to the database.

  Specified by:
    `setNString` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - of the first parameter is 1, the second is 2, ...
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    java.io.Reader value,
                                    long length)
                             throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

  Specified by:
    `setNCharacterStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - of the first parameter is 1, the second is 2, ...
    `value` - the parameter value
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(int parameterIndex,
                         java.sql.NClob value)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `java.sql.NClob` object. The driver converts this to a SQL `NCLOB` value when it sends it to the database.

  Specified by:
    `setNClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - of the first parameter is 1, the second is 2, ...
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setClob

    public void setClob(int parameterIndex,
                        java.io.Reader reader,
                        long length)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The reader must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `PreparedStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARCHAR` or a `CLOB`

  Specified by:
    `setClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `reader` - An object that contains the data to set the parameter value to.
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBlob

    public void setBlob(int parameterIndex,
                        java.io.InputStream inputStream,
                        long length)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `InputStream` object. The inputstream must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `PreparedStatement` is executed. This method differs from the `setBinaryStream (int, InputStream, int)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARBINARY` or a `BLOB`

  Specified by:
    `setBlob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `inputStream` - An object that contains the data to set the parameter value to.
    `length` - the number of bytes in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(int parameterIndex,
                         java.io.Reader reader,
                         long length)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The reader must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `PreparedStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGNVARCHAR` or a `NCLOB`

  Specified by:
    `setNClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `reader` - An object that contains the data to set the parameter value to.
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setSQLXML

    public void setSQLXML(int parameterIndex,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.SQLXML` object. The driver converts this to an SQL `XML` value when it sends it to the database.

  Specified by:
    `setSQLXML` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `xmlObject` - a `SQLXML` object that maps an SQL `XML` value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               long length)
                        throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setAsciiStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `x` - the Java input stream that contains the ASCII parameter value
    `length` - the number of bytes in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                long length)
                         throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setBinaryStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `x` - the java input stream which contains the binary parameter value
    `length` - the number of bytes in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   long length)
                            throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `Reader` object, which is the given number of characters long. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setCharacterStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `reader` - the `java.io.Reader` object that contains the Unicode data
    `length` - the number of characters in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x)
                        throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setAsciiStream` which takes a length parameter.

  Specified by:
    `setAsciiStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `x` - the Java input stream that contains the ASCII parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x)
                         throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBinaryStream` which takes a length parameter.

  Specified by:
    `setBinaryStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `x` - the java input stream which contains the binary parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader)
                            throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `Reader` object. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setCharacterStream` which takes a length parameter.

  Specified by:
    `setCharacterStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `reader` - the `java.io.Reader` object that contains the Unicode data

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    java.io.Reader value)
                             throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNCharacterStream` which takes a length parameter.

  Specified by:
    `setNCharacterStream` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - of the first parameter is 1, the second is 2, ...
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setClob

    public void setClob(int parameterIndex,
                        java.io.Reader reader)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARCHAR` or a `CLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setClob` which takes a length parameter.

  Specified by:
    `setClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `reader` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBlob

    public void setBlob(int parameterIndex,
                        java.io.InputStream inputStream)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `InputStream` object. This method differs from the `setBinaryStream (int, InputStream)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARBINARY` or a `BLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBlob` which takes a length parameter.

  Specified by:
    `setBlob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `inputStream` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(int parameterIndex,
                         java.io.Reader reader)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGNVARCHAR` or a `NCLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNClob` which takes a length parameter.

  Specified by:
    `setNClob` in interface `java.sql.PreparedStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...
    `reader` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.